REPQUOTA(8)

NUME
repquota - rezumă cotele pentru un sistem de fișiere

SINOPSIS
/usr/sbin/repquota [ -vspiugP ] [ -c | -C ] [ -t | -n ] [ -F nume-format ] sistem-fișiere...

/usr/sbin/repquota [ -avtpsiugP ] [ -c | -C ] [ -t | -n ] [ -F nume-format ]

DESCRIERE

repquota afișează un rezumat al utilizării discului și al cotelor pentru sistemele de fișiere specificate. Pentru fiecare utilizator se afișează numărul curent de fișiere și cantitatea de spațiu (în kiloocteți), împreună cu orice limite de cote stabilite cu edquota(8) sau setquota(8). În a doua coloană, repquota imprimă două caractere care marchează limitele care au fost depășite. În cazul în care utilizatorul a depășit limita „softlimit” de spațiu sau a atins limita „hardlimit” de spațiu în cazul în care „softlimit” nu este definită, primul caracter este „+”. În caz contrar, caracterul imprimat este „-”. Al doilea caracter indică în mod analog starea de utilizare a nodurilor-i. repquota trebuie să convertească id-urile tuturor utilizatorilor/grupurilor/proiectelor în nume (cu excepția cazului în care a fost specificată opțiunea -n), astfel încât este posibil să dureze ceva timp pentru a imprima toate informațiile. Pentru ca procesul de conversie să fie cât mai rapid posibil, repquota încearcă să detecteze (prin citirea /etc/nsswitch.conf) dacă intrările sunt stocate într-un fișier standard de text simplu sau într-o bază de date și convertește fie bucăți de 1024 de nume, fie fiecare nume în parte. Puteți anula această autodetecție prin opțiunile -c sau -C.

OPȚIUNI

-a, --all
    Raportează asupra tuturor sistemelor de fișiere indicate în /etc/mtab ca fiind de citire-scriere cu cote.

-v, --verbose
    Raportează toate cotele, chiar dacă nu există nicio utilizare. De asemenea, va fi mai detaliat în ceea ce privește informațiile din fișierul de cote.

-c, --cache
    Memorează intrările în memoria cache pentru a raporta și traduce uids/gids în nume în bucăți mari prin scanarea tuturor utilizatorilor (implicit). Acesta este un comportament bun (rapid) atunci când se utilizează fișierul „/etc/passwd”.

-C, --no-cache
    Convertește intrări individuale. Acest lucru este mai rapid atunci când aveți utilizatori stocați în baza de date.

-t, --truncate-names
    Trunchiază numele utilizatorilor/grupurilor mai lungi de 9 caractere. Acest lucru are ca rezultat o ieșire mai atractivă atunci când există astfel de nume.

-n, --no-names
    Nu rezolvă UID-urile/GID-urile în nume. Acest lucru poate accelera foarte mult imprimarea.

-s, --human-readable[=unități-măsură]
    Încearcă să raporteze spațiul utilizat, numărul de noduri-i utilizate și limitele în unități mai adecvate decât cele implicite. Unitățile pot fi, de asemenea, specificate în mod explicit printr-un argument opțional în formatul [ kgt ],[ kgt ], unde primul caracter specifică unitățile de spațiu, iar al doilea caracter specifică unitățile de noduri-i.

-p, --raw-grace
    Atunci când utilizatorul se află în perioada de grație, se raportează timpul în secunde de la momentul în care perioada sa de grație expiră (sau a expirat). Câmpul este „0” atunci când perioada de grație nu este în vigoare. Acest lucru este util în special atunci când se analizează rezultatul unui script.

-i, --no-autofs
    Ignoră punctele de montare montate de automounter.

-F, --format=nume-format
    Raportează cota pentru formatul specificat (adică nu efectuează autodetecția formatului). Numele formatelor posibile sunt: vfsold Formatul original al cotelor cu UID-uri / GID-uri pe 16 biți, vfsv0 Formatul cotelor cu UID-uri / GID-uri pe 32 de biți, utilizarea spațiului pe 64 de biți, utilizarea și limitele nodurilor-i pe 32 de biți, vfsv1 Formatul cotelor cu limitele și utilizarea cotelor pe 64 de biți, xfs (cote pe sistemul de fișiere XFS).

-g, --group
    Raportează cotele pentru grupuri.

-P, --project
    Raportează cotele pentru proiecte.

-u, --user
    Raportează cotele pentru utilizatori. Aceasta este valoarea implicită.

-O, --output=nume-format
    Emite raportul de cote în formatul specificat. Numele formatelor posibile sunt: default Formatul implicit, optimizat pentru vizualizarea pe consolă csv Valori separate prin virgule, un fișier text cu coloanele delimitate prin virgule xml Ieșirea este codificată în XML, utilă pentru procesarea cu XSLT.

Numai super-utilizatorul poate vizualiza cotele care nu sunt ale sale.

FIȘIERE
aquota.user sau aquota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 2, sisteme de fișiere non-XFS)
quota.user sau quota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 1, sisteme de fișiere non-XFS)
/etc/mtab
    sisteme de fișiere implicite
/etc/passwd
    setul implicit de utilizatori
/etc/group
    setul implicit de grupuri

CONSULTAȚI ȘI
quota(1), quotactl(2), edquota(8), quotacheck(8), quotaon(8), quota_nld(8), setquota(8), warnquota(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.